This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 717113 - Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (firstboot)
Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1kAccounts
  Show dependency treegraph
 
Reported: 2011-06-28 00:14 EDT by Miloslav Trmač
Modified: 2013-07-04 08:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: firstboot-16.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-12 06:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2011-06-28 00:14:21 EDT
modules/create_user.py categorizes UIDs as system/user using a
hard-coded value 500.  Please use UID_MIN from /etc/login.defs for this; we
plan to change the boundary.

See attachment 510191 [details] for the proper way to parse /etc/login.defs.

Please let me know if you want me to prepare a complete patch.

Version-Release number of selected component (if applicable):
firstboot-1.116-1.fc16

Note You need to log in before you can comment on or make changes to this bug.